<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
include ("admin_log.php");
include ("xqfunc.php");
if (!isset($mode)) {
   $mode="index";
   }
switch ($mode){
///////////////
case "index":
/////输出//////
?>
<HTML>
<HEAD>
<META http-equiv='Content-Type' content='text/html; charset=gb2312'>
<TITLE>MENU</TITLE>
<STYLE>
<!--
A:link {text-decoration:none;color:black;}
A:visited {text-decoration:none;color:black;}
A:hover {  text-decoration:underline;  color:#081E8A;}
p,br,body,td {color:black; font-size:9pt; line-height:140%;}
-->
</STYLE>
</HEAD>
<BODY  BGCOLOR='EFEFEF'>

<table width=100% cellpadding=6 cellspacing=0 border=0>
  <tr>
    <td bgcolor=#a6a7d9 colspan=2><font color=#FFFFFF> <b>欢迎来到险情文章管理程式 / 文章列表</b></font></td>
  </tr>
</table>
<br>
<?
@require("../config.php");
$filelist_array=file("../data/$type/list.php");
$total_file=count($filelist_array);
$recnum = 20;
$listnum = 10;
$totalnum = intval(($total_file)/$recnum)+1;
echo "<table border=1 cellpadding=3 cellspacing=0 style='border-collapse:collapse' bordercolor=#C0C0C0 width=100%>\n";
echo "<tr>\n";
echo "<td width=100% align=right class=shadow2>\n";
 page_menu($totalnum);
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
// 文章列表 ------------------------------
echo "<center><table border=0 bgcolor=\"c0c0c0\" cellspacing=1 cellpadding=1 width=100%>\n";

if ( !$p ) { $p = 1; }
        for( $i = $total_file-(($p-1)*$recnum); $i > $total_file-($p*$recnum);$i--) {
                $filelist_name=explode("|",$filelist_array[$i]);
  if ( "$filelist_name[0]" && "$filelist_name[0]" != '.' && "$filelist_name[0]" != '..') {
  $NO = $i+1;
  $xqfile_array=file("../data/$type/$filelist_name[0].num");
  $xqfile_info=explode("|",$xqfile_array[0]);

  $len = strlen($xqfile_info[1]);
  if ($len <= $page_list_code)
    $title = $xqfile_info[1];
  else
    $title =substr($xqfile_info[1],0,$page_list_code)."...";
  echo "<tr><td width=22 height=\"22\"align=center bgcolor=\"efefef\" onmouseover=\"this.bgColor='white';\" onmouseout=\"this.bgColor='efefef';\">";
  echo "$NO</td>";
  echo "<td height=\"22\" bgcolor=\"white\" onmouseover=\"this.bgColor='efefef';\" onmouseout=\"this.bgColor='white';\">";
  echo "</b><a target=_blank href='show.php?type=$type&id=$xqfile_info[0]'><span style=font:9pt>$title</span></a> - ";
  if ($xqfile_info[2]!="")
  echo "<font color=#c0c0c0>$xqfile_info[2]/文 </font>";
  echo "<font color=#c0c0c0>$xqfile_info[6]</font>";
  echo " <span style=font:9pt>[<a href='./write2.php?type=$type&edit=edit&id=$xqfile_info[0]'>编辑</a>]</span>";
  echo " <span style=font:9pt>[<a href='./listfile.php?mode=del&type=$type&id=$xqfile_info[0]'>删除</a>]</span>";
  echo "</td>\n";
echo "</tr>\n";
   }
  }

echo "</table></center>\n";
// 列出页数 ------------------------------
echo "<table border=1 cellpadding=3 cellspacing=0 style='border-collapse:collapse' bordercolor=#C0C0C0 width=100%>\n";
echo "<tr>\n";
echo "<td width=100% align=right class=shadow2>\n";
 page_menu($totalnum);
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
?>
<br>
<table width=100% cellpadding=6 cellspacing=0 border=0>
  <tr>
    <td bgcolor=#a6a7d9 colspan=2><font color=#FFFFFF> <b>程式制作：险情 版权所有：上海财经大学99国际工商管理</b></font></td>
  </tr>
</table>
</BODY>
</HTML>
<?
/////////////
break;
case "del":
////////////
///////////从版块中删除////////////////////

  $file_hot=file("../data/xq.php");
  $file_hot_count=count($file_hot)-1;
$fp_hot=fopen("../data/xq.php","w");
                flock($fp_hot,3);
for ($i=0;$i<=$file_hot_count;$i++){
     $file_hot_code=explode("|",$file_hot[$i]);
    if ($type==$file_hot_code[1]) {
    $new_file =$file_hot_code[4]-1;
  fwrite($fp_hot,$file_hot_code[0]."|".$file_hot_code[1]."|".$file_hot_code[2]."|".$file_hot_code[3]."|".$new_file."|".$file_hot_code[5]."|".$file_hot_code[5]."|".$file_hot_code[7]);}
 else
 fwrite($fp_hot,$file_hot_code[0]."|".$file_hot_code[1]."|".$file_hot_code[2]."|".$file_hot_code[3]."|".$file_hot_code[4]."|".$file_hot_code[5]."|".$file_hot_code[6]."|".$file_hot_code[7]);
 }
 fclose($fp_hot);
//////////////////////////////////////////
$id=trim($id);
 $file_sort=file("../data/$type/$id.num");
 $file_sort_code=explode("|",$file_sort[0]);
////////////从专集中删除//////////////////
if (!empty($file_sort_code[11])){
   $file_spe=file("../data/xq.cgi");
   $file_spe_count=count($file_spe)-1;
   $fp_hot=fopen("../data/xq.cgi","w");
                flock($fp_hot,3);
for ($i=0;$i<=$file_spe_count;$i++){
     $file_hot_code=explode("|",$file_spe[$i]);
    if ($file_sort_code[11]==$file_hot_code[1]) {
    $new_file =$file_hot_code[4]-1;
  fwrite($fp_hot,$file_hot_code[0]."|".$file_hot_code[1]."|".$file_hot_code[2]."|".$file_hot_code[3]."|".$new_file."|".$file_hot_code[5]."|".$file_hot_code[5]."\n");}
 else
 fwrite($fp_hot,$file_hot_code[0]."|".$file_hot_code[1]."|".$file_hot_code[2]."|".$file_hot_code[3]."|".$file_hot_code[4]."|".$file_hot_code[5]."|".$file_hot_code[6]);
 }
 fclose($fp_hot);
//////////////////////
   if (!empty($file_sort_code[8])){
 $msg_list=file("../data/spe/$file_sort_code[11].spe");
 $fp=fopen("../data/spe/$file_sort_code[11].spe","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
   }
   }
////////////从相关文章中删除//////////////
 $file_key=file("../data/key/$file_sort_code[8].key");
 $file_key_count=count($file_key)-1;
 $fp_key=fopen("../data/key/$file_sort_code[8].key","w");
                flock($fp_key,3);
 for ($i=0;$i<=$file_key_count;$i++){
         $file_key_code=explode("|",$file_key[$i]);
         if ($file_key_code[0]!=$id){
             fwrite($fp_key,$file_key[$i]);
             }
            }
 fclose($fp_key);
////////////从总最新文章中删除////////////////
 $msg_list=file("../data/$type.new");
 $fp=fopen("../data/$type.new","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
/////
 $msg_list=file("../data/xq.new");
 $fp=fopen("../data/xq.new","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
////////////////////最热门文章中删除/////////////////////////////
 $msg_list=file("../data/$type.hot");
 $fp=fopen("../data/$type.hot","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
/////
 $msg_list=file("../data/xq.hot");
 $fp=fopen("../data/xq.hot","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
//////////////////从推荐中删除///////////////////////////
 $msg_list=file("../data/$type.tui");
 $fp=fopen("../data/$type.tui","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
 $msg_list=file("../data/xq.tui");
 $fp=fopen("../data/xq.tui","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
////////////////从文章列表//////////////////////////////
 $msg_list=file("../data/$type/list.php");
 $fp=fopen("../data/$type/list.php","w");
        flock($fp,3);
        $count=count($msg_list);
        for ($i=0; $i<$count; $i++) {
              $msg_list_code=explode("|",$msg_list[$i]);
                if ($msg_list_code[0]!=$id)
                fputs($fp,$msg_list[$i]);
        }
        fclose($fp);
//////////////删除文章本身文件////////////////////
@unlink("../data/$type/$id.txt");
@unlink("../data/$type/$id.num");
@unlink("../data/$type/$id.mgs");
////////////////////////////////////////////
  $msg="您已经成功删除了文章:$file_sort_code[1]";
    $turn_page="javascript:history.back(1);";
    error_1($msg,$turn_page);
    exit;
///////////////
}
?>